;------------------------------ SANGLE.lsp -----------------------------------
;
;
;(c)1988 Gale Gorman, 4016 Meadow Valley Lane, Las Vegas, NV  89107 
;                        
;
;SANGLE.lsp draws end view of steel angle based on input of "Vertical Leg",
;	"Horizontal Leg", and "Thickness".  You will be asked to "point"
;	in the general direction you want each leg to point.	
;
(defun C:SANGLE (/ p1 a1 a2 s1 s2 t)
	(setvar "blipmode" 0) 
	(setvar "osmode" 0)
	(setvar "osmode" 32)
	(setq p1  (getpoint "\nCorner of Angle: "))
	(setvar "osmode" 0)
	(setvar "orthomode" 1)	
	(setq	a1  (getangle p1 "\nPoint Direction of Vertical Leg:")
		a2  (getangle p1 "\nPoint Direction of Horizontal Leg:")
		s1  (getdist "\nSize of Vertical Leg:")
		s2  (getdist "\nSize of Horizontal Leg:")
		t   (getdist "\nThickness:")
		p2  (polar p1 a1 s1)
		p3  (polar p2 a2 t)
		p6  (polar p1 a2 s2)
		p5  (polar p6 a1 t)
		p7  (polar p1 a1 t)
		p8  (polar p1 a2 t)
		p4  (polar p7 a2 t)
		p9  (polar p4 a1 t)
		p10 (polar p4 a2 t)
		p11 (polar p2 a2 (/ t 2))
		p12 (polar p6 a1 (/ t 2)))
	(command "line" p1 p2 p3 p4 p5 p6 "c" 
		"fillet" "r" (/ t 2)
		"fillet" p9 p11
		"fillet" p10 p12 
		"fillet" "r" t 
		"fillet" p9 p10)
	(setvar "blipmode" 1)
	(prin1)
)
